from storage.models import Item, Label, LabelStyle
from rest_framework import serializers
from rest_framework_hstore.serializers import HStoreSerializer


class ItemSerializer(HStoreSerializer):
    class Meta:
        model = Item
        fields = ('uuid', 'name', 'description', 'props', 'state', 'parent')


class LabelStyleSerializer(serializers.ModelSerializer):
    class Meta:
        model = LabelStyle
        fields = ('uuid', 'description', 'length', 'width')


class LabelSerializer(serializers.ModelSerializer):
    item = ItemSerializer(required=False)
    item_id = serializers.PrimaryKeyRelatedField(queryset=Item.objects, source='item')
    style = LabelStyleSerializer(required=True)
    class Meta:
        model = Label
        fields = ('id', 'item', 'item_id', 'style')
